Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.deegree.enterprise.servlet
Class ServletResponseWrapper.ProxyServletOutputStream

    java.lang.Object
      java.io.OutputStream
          javax.servlet.ServletOutputStream
              org.deegree.enterprise.servlet.ServletResponseWrapper.ProxyServletOutputStream

All Implemented Interfaces:
  Closeable, Flushable

Enclosing class:
  ServletResponseWrapper

    public class ServletResponseWrapper.ProxyServletOutputStream

extends javax.servlet.ServletOutputStream

The `ProxyServletOutputStream` class is a wrapper for OutputStream object thus allowing repeated access to the stream.

Version:
  $Revision: 18195 $, $Date: 2009-06-18 17:55:39 +0200 (Do, 18. Jun 2009) $
Author:
  Andreas Poth, last edited by: $Author: mschneider $

Constructor Summary
`ServletResponseWrapper.ProxyServletOutputStream(int length)`

Method Summary
`void` | `close()`
`void` | `flush()`
`byte[]` | `toByteArray()`
`String` | `toString(String enc)`
`void` | `write(byte[] b)`
`void` | `write(byte[] b, int off, int len)`
`void` | `write(int v)`

Methods inherited from class javax.servlet.ServletOutputStream
`print, print, print, print, print, print, print, println, println, println, println, println, println, println, println`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ServletResponseWrapper.ProxyServletOutputStream

    public ServletResponseWrapper.ProxyServletOutputStream(int length)

Parameters:
  `length` - of the buffer

Method Detail

### close

    public void close()
               throws IOException

  Specified by:
    `close` in interface `Closeable`
  Overrides:
    `close` in class `OutputStream`
  Throws:
    `IOException`

### flush

    public void flush()
               throws IOException

  Specified by:
    `flush` in interface `Flushable`
  Overrides:
    `flush` in class `OutputStream`
  Throws:
    `IOException`

### write

    public void write(byte[] b,
                      int off,
                      int len)
               throws IOException

  Overrides:
    `write` in class `OutputStream`
  Throws:
    `IOException`

### write

    public void write(byte[] b)
               throws IOException

  Overrides:
    `write` in class `OutputStream`
  Throws:
    `IOException`

### write

    public void write(int v)
               throws IOException

  Specified by:
    `write` in class `OutputStream`
  Throws:
    `IOException`

### toByteArray

    public byte[] toByteArray()

  Returns:
    the actual bytes of the stream.

### toString

    public String toString(String enc)
                    throws UnsupportedEncodingException

  Parameters:
    `enc` - encoding to which the bytes must encoded.
  Returns:
    a string representation of the byte array with the given encoding.
  Throws:
    `UnsupportedEncodingException` - if the encoding is not supported

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

an open source project founded by lat/lon, Bonn, Germany.
For more information visit: http://www.deegree.org